
//SCRIPT.JS

	//attach twitter script dynamically and wait for callback
	window.twttr = (function (d,s,id) {
		var t, js, fjs = d.getElementsByTagName(s)[0];
		if (d.getElementById(id)) return; js=d.createElement(s); js.id=id;
		js.src="//platform.twitter.com/widgets.js"; fjs.parentNode.insertBefore(js, fjs);
		return window.twttr || (t = { _e: [], ready: function(f){ t._e.push(f) } });
	}(document, "script", "twitter-wjs"));


	//twitter is ready, bind events
	twttr.ready(function (twttr) {
		//alert("twitter is ready");
		twttr.events.bind('tweet', handleTweetIntent);
	});

	$(document).ready(function(){
		$('.featuredContent').click(function(event) {
			var href = $(this).attr('href');
			var trackingId = $(this).attr('trackingid');
			trackFeatureContentClick(href, trackingId);
		});

		//take this out
		/*$('#test').click(function(){
			 handlePostToFacebook("Test Post", "Test Caption", "test description", "https://developers.facebook.com/docs/reference/dialogs/", "http://fbrell.com/f8.jpg");
			});*/
	});


	//call back movie to tell it twitter was successful
	function handleTweetIntent() {
		
		callFlash("gameContent").onSuccessfulTweet();
	}


	//function called from flash with appropriate tweet info - trigger an 
	//artificial native click and let the twitter script take over from there
	function sendTwitterLink(tweetToSend) {

		var twitterURL = "https://twitter.com/intent/tweet";

		$('#hiddenTwitterLink').attr('href', twitterURL+tweetToSend);
		
		var hiddenLink = $('#hiddenTwitterLink')[0];

		if(hiddenLink.click) {
			hiddenLink.click();
		}
		else if(hiddenLink.dispatchEvent) {
			var mouseEvent = document.createEvent('MouseEvents');
				mouseEvent.initMouseEvent('click', true, true, window);
				hiddenLink.dispatchEvent(mouseEvent);
		}
    }

    //external linkout
    function externalLinks() {
		if (!document.getElementsByTagName) return;
		var anchors = document.getElementsByTagName("a");
		for (var i=0; i<anchors.length; i++) 
		{
			var anchor = anchors[i];
			if (anchor.getAttribute("href") && anchor.getAttribute("rel") == "external")
			{
				anchor.target = "_blank";
			    anchor.onclick = handleExternalLink;
			}
		}
	}
	window.onload = externalLinks;

    function handleExternalLink() {
		callFlash("gameContent").externalLink();
	}

	//update visibility after we've figure out if we're showing flash or alt content
	function updateVisibility() {
		$('#content').css("visibility", "visible");
	}

	//utility - call back to flash movie
	function callFlash(swf) {
		var usingIE = navigator.appName.indexOf("Microsoft") != -1;  
		return (usingIE) ? window[swf] : document[swf]; 
	}

	function trackFeatureContentClick(targetURL, adID) {
		//alert("trackFeatureContentClick("+targetURL+", "+adID+")");
		if( typeof sCode !== 'undefined' ) {
			sCode.trackFeaturedContentClick(targetURL, adID);
		}
	}

	//post to facebook
	// picture needs to be absolute
	function handlePostToFacebook(name, caption, description, link, picture) {
		FB.ui({
		   method: 'feed',
		   name: name, //title of your post
		   caption: caption, // caption immediately under title
		   description: description, //small paragraph underneath caption
		   link: link, //link to your app
		   picture: picture // link to your image (must be absolute)
		  },
		  function(response) {
		    if (response && response.post_id) {
		    	//alert("it worked!");
		    	callFlash("gameContent").onSuccessfulPost();
		    } else {
		    	//alert('FAIL!');
		        callFlash("gameContent").onFailedPost();
		    }
		  }
		);
	}

	var focusReady = false;
	var focused = true;

	function initializeFocus()
	{
		focusReady = true;
	}

	function onBlur() 
	{
		if( focusReady && focused )
		{
			if( callFlash("gameContent") )
				callFlash("gameContent").unfocus();
		}
		focused = false;
	};

	function onFocus()
	{
		if( focusReady && !focused )
		{
			if( callFlash("gameContent") )
				callFlash("gameContent").refocus();
		}
		focused = true;
	};

	if (/*@cc_on!@*/false) { // check for Internet Explorer
		document.onfocusin = onFocus;
		document.onfocusout = onBlur;
	} else {
		window.onfocus = onFocus;
		window.onblur = onBlur;
	}

	function openSRFrame( link )
	{
		var overlay = document.createElement("div");
		overlay.setAttribute("id", "SROverlay");
		document.body.insertBefore(overlay,document.getElementById("containerBackground"));

		var blackout = document.createElement("div");
		blackout.setAttribute("id", "SRBlackout");
		overlay.appendChild(blackout);

		var content = document.createElement("div");
		content.setAttribute("id", "SRContent");
		overlay.appendChild(content);

		var ifrm = document.createElement("iframe");
   		ifrm.setAttribute("src", link);
   		ifrm.setAttribute("id", "SRFrame");
    	ifrm.setAttribute("width", "540");
    	ifrm.setAttribute("height", "740");
    	content.appendChild(ifrm);

    	var close = document.createElement("div"); 
   		close.setAttribute("id", "SRClose"); 
    	content.appendChild(close);

    	close.onclick=function(){
			 closeSRFrame();
			};

		onBlur();
	}

	function closeSRFrame()
	{
		var overlay = document.getElementById("SROverlay");
		document.body.removeChild(overlay);

		onFocus();
	}